bag = "AAAAAAAAABBCCDDDDEEEEEEEEEEEEFFGGGHHIIIIIIIIIJKLLLLMMNNNNNNOOOOOOOOPPQRRRRRRSSSSTTTTTTUUUUVVWWXYYZ??"
counts = {}

for letter in bag.split(//) do
	counts[letter] ||= 0
	counts[letter] += 1
end

lastrack = ""
numerator = 0
denominator = 0

for line in $stdin do
	tokens = line.strip.split(/ /)
	
	rack = tokens[0]
	through = tokens[1]
	value = tokens[2].to_f
	
	if rack != lastrack then
		if lastrack != "" then
			avg = numerator / denominator
			puts lastrack + " " + avg.to_s
			denominator = 0
			numerator = 0
		end
	end

	temp = counts.clone
	for letter in rack.split(//) do
		temp[letter] -= 1 if temp[letter]
	end
		
	#puts rack + " " + through + " " + temp[through].to_s + " " + value.to_s

	numerator += temp[through] * value
	denominator += temp[through]

	lastrack = rack
end
